org.eclipse.emf.facet.custom.sdk.core

## Interface ICustomizationCommandFactoryFactory

    public interface ICustomizationCommandFactoryFactory

This interface provide a command factory. A command modify the editingDomain.

Since:
  0.3
See Also:
  `CustomizationCommandFactory`
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICustomizationCommandFactoryFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizationCommandFactory` `createICustomizationCommandFactory(EditingDomain editingDomain)` Set the editingDomain.

### Field Detail

#### DEFAULT

    static final ICustomizationCommandFactoryFactory DEFAULT

### Method Detail

#### createICustomizationCommandFactory

    ICustomizationCommandFactory createICustomizationCommandFactory(EditingDomain editingDomain)

Set the editingDomain.

Parameters:
  `editingDomain` - the current editing domain.